Package be.e_contract.ejsf

# Class PostConstructApplicationEventListener

java.lang.Object
be.e_contract.ejsf.PostConstructApplicationEventListener

All Implemented Interfaces:
  `EventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListener`

public class PostConstructApplicationEventListener extends Object implements javax.faces.event.SystemEventListener

## Constructor Summary

Constructors
Constructor
Description
`PostConstructApplicationEventListener()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isListenerForSource(Object source)`
`void`
`processEvent(javax.faces.event.SystemEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PostConstructApplicationEventListener

public PostConstructApplicationEventListener()

## Method Details

### processEvent

public void processEvent(javax.faces.event.SystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.SystemEventListener`
Throws:
  `javax.faces.event.AbortProcessingException`

### isListenerForSource

public boolean isListenerForSource(Object source)

Specified by:
  `isListenerForSource` in interface `javax.faces.event.SystemEventListener`